#include "keyboard.h"

// 
volatile static char g_cKey = NO_KEY;
// 
volatile static bool g_bEvent = false;


//  
bool keyboard_is_event() {
	//  
	return g_bEvent;
}

//  
int keyboard_get_key() {
	//  
	g_bEvent = false;
	//   
	return g_cKey;
}

//  
void keyboard_updown() {
	//   -   
	if(EICRB == 0b00000010) { // 
		//    - "" 	
		if(PINC>>4 == 0b00001111) {
			// 
			g_cKey = NO_KEY;
			// 
			g_bEvent = true;
			//
			return;
		}
		//   
		if((PINC^1<<4)&1<<4) g_cKey = KEY_LEFT;
		if((PINC^1<<5)&1<<5) g_cKey = KEY_RIGHT;
		if((PINC^1<<6)&1<<6) g_cKey = KEY_DOWN;
		if((PINC^1<<7)&1<<7) g_cKey = KEY_UP;
		//   
		EICRB = 0b00000011;
		// 
		g_bEvent = true;		
	} else { // 		
		// 
		g_cKey = NO_KEY;
		//   
		EICRB = 0b00000010;
		// 
		g_bEvent = true;
	}
}
